Page MenuHomePhabricator

[analyzer][Nullability] Don't emit under the checker name NullabilityBase
ClosedPublic

Authored by Szelethus on Apr 14 2020, 9:14 AM.

Diff Detail

Event Timeline

Szelethus created this revision.Apr 14 2020, 9:14 AM

Its worth mentioning that the reason I went out of my way not to change the name associated with reports from CallAndMessage, but I changed all of them here is that NullabilityBase is not a user-facing checker.

martong accepted this revision.Apr 15 2020, 7:31 AM

LGTM!

This revision is now accepted and ready to land.Apr 15 2020, 7:31 AM
This revision was automatically updated to reflect the committed changes.
NoQ added a comment.May 20 2020, 4:58 AM

We're observing a surprising disappearance of nullability reports today - like, they didn't just change the name, they disappeared completely. Investigating.

In D78122#2046450, @NoQ wrote:

We're observing a surprising disappearance of nullability reports today - like, they didn't just change the name, they disappeared completely. Investigating.

I landed a lot of patches in the middle of the night, that might be a factor. Say the word if I can help in any way!

@NoQ Have you unearthed anything on this matter? Do I need to step in/revert?

NoQ added a comment.Thu, Jun 11, 12:46 PM

Nope, false alarm! Our buildbot configuration change was at fault. Sorry for forgetting to follow up >.<